Skip to main content
POST
/
partner
/
orders
/
{id}
/
cancel
Cancel an order
curl --request POST \
  --url https://api.example.com/api/v1/partner/orders/{id}/cancel \
  --header 'Authorization: Bearer <token>'
{
  "id": 1001,
  "hashedId": "a3f7b2c1d4e5",
  "status": "CLIENTPAYMENTWAIT",
  "clientAmount": 1000,
  "exchangeAmount": 41500,
  "currency1": {
    "id": 123,
    "code": "USD"
  },
  "currency2": {
    "id": 123,
    "code": "UAH"
  },
  "cashbox": {
    "id": 1
  },
  "user": {
    "id": 1
  },
  "comment": "<string>",
  "clientComment": "<string>",
  "operationType": "offer",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Partner API key. Format: sk_branch_<32chars>, sk_personal_<32chars>, or pk_<32chars> (public, read-only)

Path Parameters

id
integer
required

Order ID to cancel

Response

Order cancelled successfully

id
integer
Example:

1001

hashedId
string
Example:

"a3f7b2c1d4e5"

status
enum<string>
Available options:
ORDERINIT,
CLIENTPAYMENTWAIT,
EXCHANGEPAYMENTWAIT,
CASHOUT,
SUCCESS,
CANCEL
Example:

"CLIENTPAYMENTWAIT"

clientAmount
number
Example:

1000

exchangeAmount
number
Example:

41500

currency1
object
currency2
object
cashbox
object

A reference to another entity, identified by numeric ID

user
object

A reference to another entity, identified by numeric ID

comment
string | null
clientComment
string | null
operationType
enum<string>
Available options:
offer,
finop
createdAt
string<date-time>
updatedAt
string<date-time>